import {
  OrganisationsEinheitDeleteDialogE2EComponent,
  OrganisationsEinheitListE2EComponent,
} from '../../components/organisationseinheiten/organisationseinheiten.e2e.component';
import { ZustaendigeStelleDialogE2EComponent } from '../../components/zustaendige-stelle/zustaendige-stelle-dialog.e2e.component';
import { OrganisationsEinheitPage } from '../../page-objects/organisations-einheit.po';
import { exist } from '../../support/cypress.util';
import { convertToDataTestId } from '../../support/tech-util';

export class E2EOrganisationsEinheitExecutor {
  private readonly organisationsEinheitPage: OrganisationsEinheitPage = new OrganisationsEinheitPage();
  private readonly organisationsEinheitList: OrganisationsEinheitListE2EComponent = this.organisationsEinheitPage.getList();

  private readonly deleteDialog: OrganisationsEinheitDeleteDialogE2EComponent =
    new OrganisationsEinheitDeleteDialogE2EComponent();

  private readonly zustaendigeStelleSearchComponent: ZustaendigeStelleDialogE2EComponent =
    new ZustaendigeStelleDialogE2EComponent();

  public addOrganisationsEinheit(name: string): void {
    //TODO von index auf Name umstellen
    this.zustaendigeStelleSearchComponent
      .getZustaendigeStelleTitle(0)
      .then((name: string) => this.zustaendigeStelleSearchComponent.clickFoundItem(0));
    exist(this.organisationsEinheitList.getRoot());
  }

  public deleteOrganisationsEinheit(name: string): void {
    this.organisationsEinheitList.getListItem(convertToDataTestId(name)).getDeleteButton().click();
    exist(this.deleteDialog.getRoot());
    this.deleteDialog.getDeleteButton().click();
    exist(this.organisationsEinheitList.getRoot());
  }
}
