/*
 * Copyright (C) 2025 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { AggregationMappingListResource, AggregationMappingService } from '@admin-client/reporting-shared';
import { ROUTES } from '@admin-client/shared';
import { StateResource } from '@alfa-client/tech-shared';
import { CommonModule } from '@angular/common';
import { Component, inject, OnDestroy, OnInit } from '@angular/core';
import { RoutingButtonComponent } from '@ods/component';
import { Observable } from 'rxjs';
import { AggregationMappingListComponent } from './aggregation-mapping-list/aggregation-mapping-list.component';

@Component({
  selector: 'admin-aggregation-mapping-list-container',
  templateUrl: './aggregation-mapping-list-container.component.html',
  standalone: true,
  imports: [CommonModule, RoutingButtonComponent, AggregationMappingListComponent],
})
export class AggregationMappingListContainerComponent implements OnInit, OnDestroy {
  private service = inject(AggregationMappingService);

  public listStateResource$: Observable<StateResource<AggregationMappingListResource>>;

  public readonly ROUTES = ROUTES;

  ngOnInit(): void {
    this.listStateResource$ = this.service.getList();
  }

  ngOnDestroy(): void {
    this.service.refreshList();
  }
}
