import { NavigationService } from '@alfa-client/navigation-shared';
import { ResourceRepository } from '@alfa-client/tech-shared';
import { Provider } from '@angular/core';
import { ConfigurationService } from 'libs/admin/configuration-shared/src/lib/configuration.service';
import {
  AggregationMappingListResourceService,
  createAggregationMappingListResourceService,
} from './aggregation-mapping-list-resource.service';
import {
  AggregationMappingResourceService,
  createAggregationMappingResourceService,
} from './aggregation-mapping-resource.service';
import { AggregationMappingService } from './aggregation-mapping.service';

export const AggregationMappingProvider: Provider[] = [
  {
    provide: AggregationMappingListResourceService,
    useFactory: createAggregationMappingListResourceService,
    deps: [ResourceRepository, ConfigurationService],
  },
  {
    provide: AggregationMappingResourceService,
    useFactory: createAggregationMappingResourceService,
    deps: [ResourceRepository, NavigationService],
  },
  AggregationMappingService,
];
