/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';

import { CollaborationResource } from '@alfa-client/collaboration-shared';
import { createCollaboration } from 'libs/collaboration-shared/test/collaboration';
import { toResource } from 'libs/tech-shared/test/resource';
import { CollaborationRequestComponent } from './collaboration-request.component';

describe('CollaborationRequestComponent', () => {
  let component: CollaborationRequestComponent;
  let fixture: ComponentFixture<CollaborationRequestComponent>;

  const collaboration: CollaborationResource = toResource(createCollaboration());

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [CollaborationRequestComponent],
    }).compileComponents();

    fixture = TestBed.createComponent(CollaborationRequestComponent);
    component = fixture.componentInstance;
    component.collaboration = collaboration;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
