/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { type Meta, type StoryObj } from '@storybook/angular';
import { InstantSearchComponent } from './instant-search.component';

const meta: Meta<InstantSearchComponent> = {
  title: 'Instant search/Instant search',
  component: InstantSearchComponent,
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<InstantSearchComponent>;

export const Default: Story = {
  args: {
    placeholder: 'zuständige Stelle suchen',
    headerText: 'In der OZG-Cloud',
  },
};

export const SearchResults: Story = {
  args: {
    placeholder: 'zuständige Stelle suchen',
    headerText: 'In der OZG-Cloud',
    searchResults: [
      {
        title: 'Landeshauptstadt Kiel - Ordnungsamt, Gewerbe- und Schornsteinfegeraufsicht',
        description: 'Fabrikstraße  8-10, 24103 Kiel',
      },
      {
        title: 'Amt für Digitalisierung, Breitband und Vermessung Nürnberg Außenstelle Hersbruck',
        description: 'Rathausmarkt 7, Hersbruck',
      },
    ],
  },
};
