import { HasLinkPipe } from '@alfa-client/tech-shared';
import { DIALOG_COMPONENT } from '@alfa-client/ui';
import { VorgangWithEingangLinkRel, VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { CommonModule } from '@angular/common';
import { Component, Input } from '@angular/core';
import { OpenDialogButtonComponent } from '@ods/component';
import { ForwardVorgangIconComponent, TooltipDirective } from '@ods/system';
import { ForwardingDialogContainerComponent } from '../forwarding-dialog-container/forwarding-dialog-container.component';

@Component({
  selector: 'alfa-forwarding-button-container',
  standalone: true,
  imports: [CommonModule, ForwardVorgangIconComponent, TooltipDirective, HasLinkPipe, OpenDialogButtonComponent],
  templateUrl: './forwarding-button-container.component.html',
  providers: [{ provide: DIALOG_COMPONENT, useValue: ForwardingDialogContainerComponent }],
  styles: [':host {@apply empty:hidden}'],
})
export class ForwardingButtonContainerComponent {
  @Input() vorgangWithEingang: VorgangWithEingangResource;
  @Input() showAsIconButton: boolean = false;

  public readonly vorgangWithEingangLinkRel = VorgangWithEingangLinkRel;
}
